+Daily builder.
authorjkratoch <>
Wed, 15 Sep 2010 18:24:20 +0000 (18:24 +0000)
committerjkratoch <>
Wed, 15 Sep 2010 18:24:20 +0000 (18:24 +0000)
bin/build [new file with mode: 0755]

diff --git a/bin/build b/bin/build
new file mode 100755 (executable)
index 0000000..1ea88ea
--- /dev/null
+++ b/bin/build
@@ -0,0 +1,176 @@
+#! /bin/bash
+
+output=
+opts=
+if [ "$1" = "-v" ];then
+       opts="-v"
+       shift
+else
+       output="/tmp/build-`date --iso`"
+       exec >>$output 2>&1
+fi
+
+PS1=x
+. $HOME/.bashrc
+
+set -x
+echo "$0 `date --iso=seconds` start"
+I=Build
+
+# FIXME: Running tasks get broken.
+find $HOME/.hammock-result -mindepth 1 -maxdepth 1 -type d | xargs rm -rf
+
+function run
+{
+  mockrun fedora-14-x86_64 "cd $PWD;$*"
+}
+
+for i in gdb binutils;do
+  new=$i-cvs-master-new
+  cd $HOME/redhat
+  rm -rf $new
+  mkdir $new
+  cd $new
+  cvs -d :ext:jkratoch@sourceware.org:/cvs/src co $i
+  rc=$?
+  cd ..
+  if [ $rc -eq 0 -a "`echo $new/*`" = "$new/src" ];then
+    rm -rf $i-cvs-master
+    mv $new/src $i-cvs-master
+    rmdir $new
+  fi
+  cd $HOME/redhat/$i-cvs-master
+  cvs update -A
+  cd ..
+  rm -rf $i-cvs-clean
+  cp -a $i-cvs-master $i-cvs-clean
+  cd $i-cvs-clean
+  run errs12
+  ctags
+done
+
+cd $HOME/redhat/binutils-master
+git pull
+
+cd $HOME/redhat/binutils-clean
+git pull
+ctags
+run make
+
+cd $HOME/redhat/binutils-clean-m32
+git pull
+ctags
+run make
+
+cd $HOME/redhat/archer-master
+git pull origin
+git pull gdb
+
+for i in "" 72 71 70;do
+       cd $HOME/redhat/gdb-master$i
+       git pull
+
+       cd $HOME/redhat/gdb-clean$i
+       git pull
+       ctags
+       (cd gdb; ctags)
+       run make
+       rm -f gdb/gdb-clean
+       cp -p gdb/gdb gdb/gdb-clean
+done
+
+cd $HOME/redhat/gdb-clean-m32
+git pull
+ctags
+(cd gdb; ctags)
+run make
+rm -f gdb/gdb-clean
+cp -p gdb/gdb gdb/gdb-clean
+
+cd $HOME/redhat/glibc
+git pull
+(cd $HOME/redhat/glibc; ctags)
+rm -rf $HOME/redhat/glibc-build
+mkdir $HOME/redhat/glibc-build
+(cd $HOME/redhat/glibc-build
+ set -e
+ run ../glibc/configure --prefix=$HOME/redhat/glibc-root
+ run make
+ rm -rf $HOME/redhat/glibc-root
+ mkdir $HOME/redhat/glibc-root
+ run make install
+ )
+
+for d in f13 f14 f12;do        # rawhide
+       hammock -c fedoragdb -i $I-fedoragdb-$d -d $d
+done
+### hammock -c fedoragdb -d rawhide --cd f12! -i $I-fedoragdb-f12-on-rawhide
+
+### hammock -c rhelgdb -i $I-rhelgdb-rhel6 -d rhel6
+
+cd
+for i in \
+       gdbcvs                                  \
+       binutilscvs                             \
+       archer-jankratochvil-watchpoint2        \
+       archer-jankratochvil-vla                \
+       archer-jankratochvil-ifunc              \
+       archer-jankratochvil-fedora14-merge     \
+       archer-tromey-python                    \
+       archer-pmuldoon-next-over-throw2        \
+; do
+       hammock -c $i -i $I-$i-f14 -d f14
+done
+#      archer-tromey-threaded-dwarf            \
+
+for d in f13 f12;do
+       hammock -c gdbcvs -i $I-gdbcvs-$d -d $d
+done
+
+### for d in f13 f12;do
+###    hammock -c gdbcvs --branch gdb_7_1-branch -i $I-gdb71cvs-f12 -d f12
+### done
+
+### for d in f13 rawhide rhel6;do
+### for i in \
+###    gdbcvs                                  \
+###    archer-jankratochvil-fedora13           \
+### ; do
+###    hammock -c $i -i $I-$i-$d -d $d
+### done
+### done
+
+cd $HOME/redhat/gccgit
+git pull
+ctags
+(cd gcc;ctags)
+
+for gcc in gcchead gcc45 gcc44;do
+(
+set -e
+cd $HOME/redhat/${gcc}
+svn update
+svn status
+ctags
+cd gcc; ctags
+root=$HOME/redhat/${gcc}-root
+rm -rf $HOME/redhat/${gcc}-build
+mkdir $HOME/redhat/${gcc}-build
+# -j1 for: /usr/bin/install: cannot create regular file `/home/jkratoch/redhat/${gcc}-root/lib/../lib64/./libiberty.an': File exists
+# mockrun fedora-rawhide-x86_64 "cd $HOME/redhat/${gcc}-build; errs12 --origss -m ../${gcc}/configure --prefix=$root --disable-werror --enable-languages=c,c++,fortran; rm -rf $root; mkdir $root; errs3 -j1"
+cd $HOME/redhat/${gcc}-build
+run errs12 --origss -m ../${gcc}/configure --prefix=$root --disable-werror --enable-languages=c,c++,fortran,ada
+rm -rf $root
+mkdir $root
+run errs3 -j1
+
+cd
+# hammock -c gdbcvs -i $I-gdbcvs${gcc}-f14 -d f14 -p $root/bin -a x86_64
+)
+done
+
+# builddiff $opts >/dev/null
+
+diffgdbdaymail
+
+echo "$0 `date --iso=seconds` done"